#pragma once

#include "pruning_config.h"

class TFormulaPruning : public TPruningConfig {
public:
    TFormulaPruning(const TString& formulaName);
    virtual TString ToString() const override;
    virtual bool NeedSort() const override;
    virtual bool PruningOn() const override;
    virtual TType GetType() const override;

private:
    TString FormulaName;
};
